|  | Home · All Classes · Modules

# QHelpEngine Class Reference
[QtHelp module]

The QHelpEngine class provides access to contents and indices of the help engine. More...

Inherits QHelpEngineCore.

### Methods

- __init__ (self, QString collectionFile, QObject parent = None)
- QHelpContentModel contentModel (self)
- QHelpContentWidget contentWidget (self)
- QHelpIndexModel indexModel (self)
- QHelpIndexWidget indexWidget (self)
- QHelpSearchEngine searchEngine (self)

## Detailed Description

The QHelpEngine class provides access to contents and indices of the help engine.

## Method Documentation

### QHelpEngine.__init__ (self, QString collectionFile, QObject parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs a new help engine with the given parent. The help engine uses the information stored in the collectionFile for providing help. If the collection file does not already exist, it will be created.

### QHelpContentModel QHelpEngine.contentModel (self)

Returns the content model.

### QHelpContentWidget QHelpEngine.contentWidget (self)

Returns the content widget.

### QHelpIndexModel QHelpEngine.indexModel (self)

Returns the index model.

### QHelpIndexWidget QHelpEngine.indexWidget (self)

Returns the index widget.

### QHelpSearchEngine QHelpEngine.searchEngine (self)

Returns the default search engine.